Bug 1873095 - While edit application user is unable to change git repo
Summary: While edit application user is unable to change git repo
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1877290
TreeView+ depends on / blocked
 
Reported: 2020-08-27 11:06 UTC by Jaivardhan Kumar
Modified: 2020-09-09 10:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Name of resources where getting updated on edit flow which created issue in edit flow Consequence: While edit application user is unable to change git repo, Unable to update the application. Fix: Application name is not updated while in edit flow Result: While edit application user is able to change git repo and update the application.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6462 None closed Bug 1873095: fix edit flow with update git url 2020-09-07 10:17:15 UTC

Description Jaivardhan Kumar 2020-08-27 11:06:40 UTC
Description of problem:

While edit application user is unable to change git repo , Unable to update the application. Observing the error: 

Operation cannot be fulfilled on imagestreams.image.openshift.io "react-web-app": StorageError: invalid object, Code: 4, Key: /openshift.io/imagestreams/nhg/react-web-app, ResourceVersion: 0, AdditionalErrorMsg: Precondition failed: UID in precondition: 7b680f56-9d97-4d45-8b79-adbe05f3d869, UID in object meta:
Prerequisites (if any, like setup, operators/versions):
Create any application using Import From Git. 

Steps to Reproduce
1.Create a deployment using Import from Git
2.Open Context Menu and click on Edit Application-name
3.Update the Git URL
4.Click on save

Actual results:
We get error  mentioned in the description

Expected results:
Application should update

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
Build: 4.5.7, 4.6.0-0.nightly-2020-08-02-091622

Browser: Google Chrome Version 84.0.4147.89

Comment 1 Jaivardhan Kumar 2020-08-27 11:08:25 UTC
Jira: https://issues.redhat.com/browse/ODC-4616

Comment 4 Gajanan More 2020-09-07 10:17:48 UTC
I have validated the bugzilla on:

Build: 4.6.0-0.nightly-2020-09-05-015624

Browser: Google Chrome Version 84.0.4147.89

Marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.